Bullet Collision Detection & Physics Library: btDeformableContactConstraint Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btDeformableContactConstraint Class Referenceabstract

`#include <btDeformableContactConstraint.h>`

Inheritance diagram for btDeformableContactConstraint:
[legend]
Collaboration diagram for btDeformableContactConstraint:
[legend]

## Public Member Functions
| btDeformableContactConstraint (const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint (bool isStatic, const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint ()
| btDeformableContactConstraint (const btDeformableContactConstraint &other)
virtual | ~btDeformableContactConstraint ()
virtual btScalar | solveConstraint (const btContactSolverInfo &infoGlobal)=0
virtual btVector3 | getVa () const =0
virtual btVector3 | getVb () const =0
virtual btVector3 | getDv (const btSoftBody::Node *) const =0
virtual void | applyImpulse (const btVector3 &impulse)=0
virtual void | setPenetrationScale (btScalar scale)=0

## Public Attributes
bool | m_static
const btContactSolverInfo * | m_infoGlobal
btVector3 | m_normal

## Detailed Description

Definition at line 21 of file btDeformableContactConstraint.h.

## Constructor & Destructor Documentation

## ◆ btDeformableContactConstraint() [1/4]

btDeformableContactConstraint::btDeformableContactConstraint | ( | const btVector3 & | normal,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |
| inline

Definition at line 32 of file btDeformableContactConstraint.h.

## ◆ btDeformableContactConstraint() [2/4]

btDeformableContactConstraint::btDeformableContactConstraint | ( | bool | isStatic,
|  | const btVector3 & | normal,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |
| inline

Definition at line 36 of file btDeformableContactConstraint.h.

## ◆ btDeformableContactConstraint() [3/4]

btDeformableContactConstraint::btDeformableContactConstraint | ( |  | ) |
| inline

Definition at line 40 of file btDeformableContactConstraint.h.

## ◆ btDeformableContactConstraint() [4/4]

btDeformableContactConstraint::btDeformableContactConstraint | ( | const btDeformableContactConstraint & | other | ) |
| inline

Definition at line 42 of file btDeformableContactConstraint.h.

## ◆ ~btDeformableContactConstraint()

virtual btDeformableContactConstraint::~btDeformableContactConstraint | ( |  | ) |
| inlinevirtual

Definition at line 47 of file btDeformableContactConstraint.h.

## Member Function Documentation

## ◆ applyImpulse()

virtual void btDeformableContactConstraint::applyImpulse | ( | const btVector3 & | impulse | ) |
| pure virtual

Implemented in btDeformableStaticConstraint, btDeformableNodeAnchorConstraint, btDeformableNodeRigidContactConstraint, btDeformableFaceRigidContactConstraint, btDeformableFaceNodeContactConstraint, btReducedDeformableStaticConstraint, btReducedDeformableRigidContactConstraint, btReducedDeformableNodeRigidContactConstraint, and btReducedDeformableFaceRigidContactConstraint.

## ◆ getDv()

virtual btVector3 btDeformableContactConstraint::getDv | ( | const btSoftBody::Node * |  | ) | const
| pure virtual

Implemented in btDeformableNodeRigidContactConstraint, btDeformableFaceRigidContactConstraint, btDeformableFaceNodeContactConstraint, btReducedDeformableNodeRigidContactConstraint, btReducedDeformableFaceRigidContactConstraint, btDeformableStaticConstraint, and btDeformableNodeAnchorConstraint.

## ◆ getVa()

virtual btVector3 btDeformableContactConstraint::getVa | ( |  | ) | const
| pure virtual

Implemented in btDeformableStaticConstraint, btDeformableNodeAnchorConstraint, btDeformableRigidContactConstraint, btDeformableFaceNodeContactConstraint, and btReducedDeformableRigidContactConstraint.

## ◆ getVb()

virtual btVector3 btDeformableContactConstraint::getVb | ( |  | ) | const
| pure virtual

Implemented in btDeformableStaticConstraint, btDeformableNodeAnchorConstraint, btDeformableNodeRigidContactConstraint, btDeformableFaceRigidContactConstraint, btDeformableFaceNodeContactConstraint, btReducedDeformableNodeRigidContactConstraint, and btReducedDeformableFaceRigidContactConstraint.

## ◆ setPenetrationScale()

virtual void btDeformableContactConstraint::setPenetrationScale | ( | btScalar | scale | ) |
| pure virtual

Implemented in btDeformableStaticConstraint, btDeformableNodeAnchorConstraint, btDeformableRigidContactConstraint, and btDeformableFaceNodeContactConstraint.

## ◆ solveConstraint()

virtual btScalar btDeformableContactConstraint::solveConstraint | ( | const btContactSolverInfo & | infoGlobal | ) |
| pure virtual

Implemented in btDeformableStaticConstraint, btDeformableNodeAnchorConstraint, btDeformableRigidContactConstraint, btDeformableFaceNodeContactConstraint, btReducedDeformableStaticConstraint, and btReducedDeformableRigidContactConstraint.

## Member Data Documentation

## ◆ m_infoGlobal

const btContactSolverInfo* btDeformableContactConstraint::m_infoGlobal

Definition at line 27 of file btDeformableContactConstraint.h.

## ◆ m_normal

btVector3 btDeformableContactConstraint::m_normal

Definition at line 30 of file btDeformableContactConstraint.h.

## ◆ m_static

bool btDeformableContactConstraint::m_static

Definition at line 26 of file btDeformableContactConstraint.h.

The documentation for this class was generated from the following file:

- btDeformableContactConstraint.h